org.eclipse.emf.compare.rcp.internal.extension.impl

## Class LazyItemDescriptor<T>

- java.lang.Object
- - org.eclipse.emf.compare.rcp.internal.extension.impl.AbstractItemDescriptor<T>
  - - org.eclipse.emf.compare.rcp.internal.extension.impl.LazyItemDescriptor<T>

Type Parameters:
  `T` - an item type

All Implemented Interfaces:
  Comparable<IItemDescriptor<T>>, IItemDescriptor<T>

Direct Known Subclasses:
  MatchEngineFactoryDescriptor

    public class LazyItemDescriptor<T>
    extends AbstractItemDescriptor<T>

Descriptor for an item.

### Field Summary

### Fields inherited from class org.eclipse.emf.compare.rcp.internal.extension.impl.AbstractItemDescriptor

`EMPTY_STRING`

### Constructor Summary

Constructors
Constructor and Description
`LazyItemDescriptor(String label, String description, int rank, org.eclipse.core.runtime.IConfigurationElement config, String id)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.core.runtime.IConfigurationElement` `getConfig()` `IConfigurationElement` used to instantiate the item.
`T` `getItem()` Create an item.

### Methods inherited from class org.eclipse.emf.compare.rcp.internal.extension.impl.AbstractItemDescriptor

`compareTo, getDescription, getID, getItemFunction, getLabel, getRank, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LazyItemDescriptor

    public LazyItemDescriptor(String label,
                              String description,
                              int rank,
                              org.eclipse.core.runtime.IConfigurationElement config,
                              String id)

Constructor.

Parameters:
  `label` - `org.eclipse.emf.compare.rcp.internal.extension.IItemDescriptor<T>#getLabel()`
  `description` - `org.eclipse.emf.compare.rcp.internal.extension.IItemDescriptor<T>#getDescription()`
  `rank` - `org.eclipse.emf.compare.rcp.internal.extension.IItemDescriptor<T>#getRank()`
  `config` - `IConfigurationElement` used to instantiate the item.
  `id` - `org.eclipse.emf.compare.rcp.internal.extension.IItemDescriptor<T>#getID()`

### Method Detail

#### getConfig

    public org.eclipse.core.runtime.IConfigurationElement getConfig()

`IConfigurationElement` used to instantiate the item.

Returns:
  IConfigurationElement.

#### getItem

    public T getItem()

Create an item.

Returns:
  a item instance